/*
* Licensed to the Apache Software Foundation (ASF) under one or more
* contributor license agreements.  See the NOTICE file distributed with
* this work for additional information regarding copyright ownership.
* The ASF licenses this file to You under the Apache License, Version 2.0
* (the "License"); you may not use this file except in compliance with
* the License.  You may obtain a copy of the License at
*
*     http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

    package com.ywt.gapi.nfyy;

import org.apache.dubbo.common.stream.StreamObserver;
import com.google.protobuf.Message;

import java.util.HashMap;
import java.util.Map;
import java.util.function.BiConsumer;
import java.util.concurrent.CompletableFuture;

public interface NfyyService extends org.apache.dubbo.rpc.model.DubboStub {

    String JAVA_SERVICE_NAME = "com.ywt.gapi.nfyy.NfyyService";
    String SERVICE_NAME = "com.ywt.gapi.nfyy.NfyyService";

    com.ywt.gapi.nfyy.GetDoctorListResponse getDoctorList(com.ywt.gapi.nfyy.GetDoctorListRequest request);

    default CompletableFuture<com.ywt.gapi.nfyy.GetDoctorListResponse> getDoctorListAsync(com.ywt.gapi.nfyy.GetDoctorListRequest request){
        return CompletableFuture.completedFuture(getDoctorList(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getDoctorList(com.ywt.gapi.nfyy.GetDoctorListRequest request, StreamObserver<com.ywt.gapi.nfyy.GetDoctorListResponse> responseObserver){
        getDoctorListAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

    com.ywt.gapi.nfyy.GetScheduleListResponse getScheduleList(com.ywt.gapi.nfyy.GetScheduleListRequest request);

    default CompletableFuture<com.ywt.gapi.nfyy.GetScheduleListResponse> getScheduleListAsync(com.ywt.gapi.nfyy.GetScheduleListRequest request){
        return CompletableFuture.completedFuture(getScheduleList(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getScheduleList(com.ywt.gapi.nfyy.GetScheduleListRequest request, StreamObserver<com.ywt.gapi.nfyy.GetScheduleListResponse> responseObserver){
        getScheduleListAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

    com.ywt.gapi.nfyy.GetScheduleTimeInfoResponse getScheduleTimeInfo(com.ywt.gapi.nfyy.GetScheduleTimeInfoRequest request);

    default CompletableFuture<com.ywt.gapi.nfyy.GetScheduleTimeInfoResponse> getScheduleTimeInfoAsync(com.ywt.gapi.nfyy.GetScheduleTimeInfoRequest request){
        return CompletableFuture.completedFuture(getScheduleTimeInfo(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getScheduleTimeInfo(com.ywt.gapi.nfyy.GetScheduleTimeInfoRequest request, StreamObserver<com.ywt.gapi.nfyy.GetScheduleTimeInfoResponse> responseObserver){
        getScheduleTimeInfoAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

    com.ywt.gapi.nfyy.GetReportListResponse getReportList(com.ywt.gapi.nfyy.GetReportListRequest request);

    default CompletableFuture<com.ywt.gapi.nfyy.GetReportListResponse> getReportListAsync(com.ywt.gapi.nfyy.GetReportListRequest request){
        return CompletableFuture.completedFuture(getReportList(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getReportList(com.ywt.gapi.nfyy.GetReportListRequest request, StreamObserver<com.ywt.gapi.nfyy.GetReportListResponse> responseObserver){
        getReportListAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

    com.ywt.gapi.nfyy.GetPatientInfoResponse getPatientInfo(com.ywt.gapi.nfyy.GetPatientInfoRequest request);

    default CompletableFuture<com.ywt.gapi.nfyy.GetPatientInfoResponse> getPatientInfoAsync(com.ywt.gapi.nfyy.GetPatientInfoRequest request){
        return CompletableFuture.completedFuture(getPatientInfo(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getPatientInfo(com.ywt.gapi.nfyy.GetPatientInfoRequest request, StreamObserver<com.ywt.gapi.nfyy.GetPatientInfoResponse> responseObserver){
        getPatientInfoAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

    com.ywt.gapi.nfyy.GetQueueInfoResponse getQueueInfo(com.ywt.gapi.nfyy.GetQueueInfoRequest request);

    default CompletableFuture<com.ywt.gapi.nfyy.GetQueueInfoResponse> getQueueInfoAsync(com.ywt.gapi.nfyy.GetQueueInfoRequest request){
        return CompletableFuture.completedFuture(getQueueInfo(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getQueueInfo(com.ywt.gapi.nfyy.GetQueueInfoRequest request, StreamObserver<com.ywt.gapi.nfyy.GetQueueInfoResponse> responseObserver){
        getQueueInfoAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

    com.ywt.gapi.nfyy.GetReportDetailResponse getReportDetail(com.ywt.gapi.nfyy.GetReportDetailRequest request);

    default CompletableFuture<com.ywt.gapi.nfyy.GetReportDetailResponse> getReportDetailAsync(com.ywt.gapi.nfyy.GetReportDetailRequest request){
        return CompletableFuture.completedFuture(getReportDetail(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getReportDetail(com.ywt.gapi.nfyy.GetReportDetailRequest request, StreamObserver<com.ywt.gapi.nfyy.GetReportDetailResponse> responseObserver){
        getReportDetailAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

    com.ywt.gapi.nfyy.GetClinicInfoResponse getClinicInfo(com.ywt.gapi.nfyy.GetClinicInfoRequest request);

    default CompletableFuture<com.ywt.gapi.nfyy.GetClinicInfoResponse> getClinicInfoAsync(com.ywt.gapi.nfyy.GetClinicInfoRequest request){
        return CompletableFuture.completedFuture(getClinicInfo(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getClinicInfo(com.ywt.gapi.nfyy.GetClinicInfoRequest request, StreamObserver<com.ywt.gapi.nfyy.GetClinicInfoResponse> responseObserver){
        getClinicInfoAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

    com.ywt.gapi.nfyy.GetMedicalCaseDetailResponse getMedicalCaseDetail(com.ywt.gapi.nfyy.GetMedicalCaseDetailRequest request);

    default CompletableFuture<com.ywt.gapi.nfyy.GetMedicalCaseDetailResponse> getMedicalCaseDetailAsync(com.ywt.gapi.nfyy.GetMedicalCaseDetailRequest request){
        return CompletableFuture.completedFuture(getMedicalCaseDetail(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getMedicalCaseDetail(com.ywt.gapi.nfyy.GetMedicalCaseDetailRequest request, StreamObserver<com.ywt.gapi.nfyy.GetMedicalCaseDetailResponse> responseObserver){
        getMedicalCaseDetailAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

    com.ywt.gapi.nfyy.CreateOrderResponse createOrder(com.ywt.gapi.nfyy.CreateOrderRequest request);

    default CompletableFuture<com.ywt.gapi.nfyy.CreateOrderResponse> createOrderAsync(com.ywt.gapi.nfyy.CreateOrderRequest request){
        return CompletableFuture.completedFuture(createOrder(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void createOrder(com.ywt.gapi.nfyy.CreateOrderRequest request, StreamObserver<com.ywt.gapi.nfyy.CreateOrderResponse> responseObserver){
        createOrderAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

    com.ywt.gapi.nfyy.ConfirmResponse confirm(com.ywt.gapi.nfyy.ConfirmRequest request);

    default CompletableFuture<com.ywt.gapi.nfyy.ConfirmResponse> confirmAsync(com.ywt.gapi.nfyy.ConfirmRequest request){
        return CompletableFuture.completedFuture(confirm(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void confirm(com.ywt.gapi.nfyy.ConfirmRequest request, StreamObserver<com.ywt.gapi.nfyy.ConfirmResponse> responseObserver){
        confirmAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

    com.ywt.gapi.nfyy.CancelOrderResponse cancelOrder(com.ywt.gapi.nfyy.CancelOrderRequest request);

    default CompletableFuture<com.ywt.gapi.nfyy.CancelOrderResponse> cancelOrderAsync(com.ywt.gapi.nfyy.CancelOrderRequest request){
        return CompletableFuture.completedFuture(cancelOrder(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void cancelOrder(com.ywt.gapi.nfyy.CancelOrderRequest request, StreamObserver<com.ywt.gapi.nfyy.CancelOrderResponse> responseObserver){
        cancelOrderAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 医生职称代码
         * </pre>
         */
    com.ywt.gapi.nfyy.CancelRegResponse cancelReg(com.ywt.gapi.nfyy.CancelRegRequest request);

    default CompletableFuture<com.ywt.gapi.nfyy.CancelRegResponse> cancelRegAsync(com.ywt.gapi.nfyy.CancelRegRequest request){
        return CompletableFuture.completedFuture(cancelReg(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void cancelReg(com.ywt.gapi.nfyy.CancelRegRequest request, StreamObserver<com.ywt.gapi.nfyy.CancelRegResponse> responseObserver){
        cancelRegAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 医生职称
         * </pre>
         */
    com.ywt.gapi.nfyy.GetInspectionReportListResponse getInspectionReportList(com.ywt.gapi.nfyy.GetInspectionReportListRequest request);

    default CompletableFuture<com.ywt.gapi.nfyy.GetInspectionReportListResponse> getInspectionReportListAsync(com.ywt.gapi.nfyy.GetInspectionReportListRequest request){
        return CompletableFuture.completedFuture(getInspectionReportList(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getInspectionReportList(com.ywt.gapi.nfyy.GetInspectionReportListRequest request, StreamObserver<com.ywt.gapi.nfyy.GetInspectionReportListResponse> responseObserver){
        getInspectionReportListAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 医生专长
         * </pre>
         */
    com.ywt.gapi.nfyy.GetInspectionReportDetailResponse getInspectionReportDetail(com.ywt.gapi.nfyy.GetInspectionReportDetailRequest request);

    default CompletableFuture<com.ywt.gapi.nfyy.GetInspectionReportDetailResponse> getInspectionReportDetailAsync(com.ywt.gapi.nfyy.GetInspectionReportDetailRequest request){
        return CompletableFuture.completedFuture(getInspectionReportDetail(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getInspectionReportDetail(com.ywt.gapi.nfyy.GetInspectionReportDetailRequest request, StreamObserver<com.ywt.gapi.nfyy.GetInspectionReportDetailResponse> responseObserver){
        getInspectionReportDetailAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 出诊级别代码
         * </pre>
         */
    com.ywt.gapi.nfyy.GetRegisteredRecordListResponse getRegisteredRecordList(com.ywt.gapi.nfyy.GetRegisteredRecordListRequest request);

    default CompletableFuture<com.ywt.gapi.nfyy.GetRegisteredRecordListResponse> getRegisteredRecordListAsync(com.ywt.gapi.nfyy.GetRegisteredRecordListRequest request){
        return CompletableFuture.completedFuture(getRegisteredRecordList(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getRegisteredRecordList(com.ywt.gapi.nfyy.GetRegisteredRecordListRequest request, StreamObserver<com.ywt.gapi.nfyy.GetRegisteredRecordListResponse> responseObserver){
        getRegisteredRecordListAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 出诊级别
         * </pre>
         */
    com.ywt.gapi.nfyy.GetLaboratoryReportListResponse getLaboratoryReportList(com.ywt.gapi.nfyy.GetLaboratoryReportListRequest request);

    default CompletableFuture<com.ywt.gapi.nfyy.GetLaboratoryReportListResponse> getLaboratoryReportListAsync(com.ywt.gapi.nfyy.GetLaboratoryReportListRequest request){
        return CompletableFuture.completedFuture(getLaboratoryReportList(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getLaboratoryReportList(com.ywt.gapi.nfyy.GetLaboratoryReportListRequest request, StreamObserver<com.ywt.gapi.nfyy.GetLaboratoryReportListResponse> responseObserver){
        getLaboratoryReportListAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 专业代码
         * </pre>
         */
    com.ywt.gapi.nfyy.GetLaboratoryReportDetailResponse getLaboratoryReportDetail(com.ywt.gapi.nfyy.GetLaboratoryReportDetailRequest request);

    default CompletableFuture<com.ywt.gapi.nfyy.GetLaboratoryReportDetailResponse> getLaboratoryReportDetailAsync(com.ywt.gapi.nfyy.GetLaboratoryReportDetailRequest request){
        return CompletableFuture.completedFuture(getLaboratoryReportDetail(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getLaboratoryReportDetail(com.ywt.gapi.nfyy.GetLaboratoryReportDetailRequest request, StreamObserver<com.ywt.gapi.nfyy.GetLaboratoryReportDetailResponse> responseObserver){
        getLaboratoryReportDetailAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 专业名称
         * </pre>
         */
    com.ywt.gapi.nfyy.GetDoctorListNoGroupResponse getDoctorListNoGroup(com.ywt.gapi.nfyy.GetDoctorListNoGroupRequest request);

    default CompletableFuture<com.ywt.gapi.nfyy.GetDoctorListNoGroupResponse> getDoctorListNoGroupAsync(com.ywt.gapi.nfyy.GetDoctorListNoGroupRequest request){
        return CompletableFuture.completedFuture(getDoctorListNoGroup(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getDoctorListNoGroup(com.ywt.gapi.nfyy.GetDoctorListNoGroupRequest request, StreamObserver<com.ywt.gapi.nfyy.GetDoctorListNoGroupResponse> responseObserver){
        getDoctorListNoGroupAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 预约挂号总费用
         * </pre>
         */
    com.ywt.gapi.nfyy.SavePatientCardResponse savePatientCard(com.ywt.gapi.nfyy.SavePatientCardRequest request);

    default CompletableFuture<com.ywt.gapi.nfyy.SavePatientCardResponse> savePatientCardAsync(com.ywt.gapi.nfyy.SavePatientCardRequest request){
        return CompletableFuture.completedFuture(savePatientCard(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void savePatientCard(com.ywt.gapi.nfyy.SavePatientCardRequest request, StreamObserver<com.ywt.gapi.nfyy.SavePatientCardResponse> responseObserver){
        savePatientCardAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }






}
